# apeman-service-preference@2.0.0

Service for preferences.

+ Functions
  + [create(args)](#apeman-service-preference-function-create)
+ [ApPreferenceService](apeman-service-preference-classes) Class
  + [new ApPreferenceService(store, options)](#apeman-service-preference-classes-ap-preference-service-constructor)
  + [service.getPreference(fieldName)](#apeman-service-preference-classes-ap-preference-service-getPreference)
  + [service.setPreference(fieldName, value)](#apeman-service-preference-classes-ap-preference-service-setPreference)
  + [service.deletePreference(fieldName)](#apeman-service-preference-classes-ap-preference-service-deletePreference)

## Functions

<a class='md-heading-link' name="apeman-service-preference-function-create" ></a>

### create(args) -> `ApPreferenceService`

Create the service instance

| Param | Type | Description |
| ----- | --- | -------- |
| args | * |  |



<a class='md-heading-link' name="apeman-service-preference-classes"></a>

## ApPreferenceService Class

Service


<a class='md-heading-link' name="apeman-service-preference-classes-ap-preference-service-constructor" ></a>

### new ApPreferenceService(store, options)

Constructor of ApPreferenceService class

| Param | Type | Description |
| ----- | --- | -------- |
| store | Object | Redux store |
| options | Object | Optional settings |


<a class='md-heading-link' name="apeman-service-preference-classes-ap-preference-service-getPreference" ></a>

### service.getPreference(fieldName) -> `*`

Get preference value

| Param | Type | Description |
| ----- | --- | -------- |
| fieldName |  |  |


<a class='md-heading-link' name="apeman-service-preference-classes-ap-preference-service-setPreference" ></a>

### service.setPreference(fieldName, value) -> `Promise`

Set preference

| Param | Type | Description |
| ----- | --- | -------- |
| fieldName | string | Name of preference field |
| value | * | Value to set |


<a class='md-heading-link' name="apeman-service-preference-classes-ap-preference-service-deletePreference" ></a>

### service.deletePreference(fieldName) -> `Promise`

Delete preference

| Param | Type | Description |
| ----- | --- | -------- |
| fieldName | string | Name of preference field |




