#!/usr/bin/env node

'use strict'

const { ApPreferenceService } = require('apeman-service-preference')
const { createStore } = require('redux')
const { reducer } = require('apeman-service-base')
const co = require('co')

co(function * () {
  let store = createStore(reducer)
  let service = new ApPreferenceService(store)

  yield service.setPreference('foo', 'This is foo')
  /* ... */
  let foo = service.getPreference('foo')
  console.log(foo)
}).catch((err) => console.error(err))
