/**
 * Service for preferences.
 * @module apeman-service-preference
 * @version 2.0.0
 */

'use strict'

const create = require('./create')
const ApPreferenceService = require('./ap_preference_service')

let lib = create.bind(this)

Object.assign(lib, ApPreferenceService, {
  create,
  ApPreferenceService
})

module.exports = lib
