/**
 * Test case for apPreferenceService.
 * Runs with mocha.
 */
'use strict'

const ApPreferenceService = require('../lib/ap_preference_service.js')
const apemanstore = require('apemanstore')
const assert = require('assert')
const co = require('co')

describe('ap-preference-service', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Do service', () => co(function * () {
    let store = apemanstore()
    let service = new ApPreferenceService(store)
    assert.ok(service)
    let { setPreference, getPreference } = service
    yield setPreference('foo', 'This is foo')
    let foo = getPreference('foo')
    assert.equal(foo, 'This is foo')
  }))
})

/* global describe, before, after, it */
